Index: broker/CMakeLists.txt
===================================================================
--- broker.orig/CMakeLists.txt
+++ broker/CMakeLists.txt
@@ -329,7 +329,7 @@ if (ENABLE_SHARED)
   add_library(broker SHARED ${BROKER_SRC})
   set_target_properties(broker PROPERTIES
                         SOVERSION ${BROKER_SOVERSION}
-                        VERSION ${BROKER_VERSION_MAJOR}.${BROKER_VERSION_MINOR}
+                        VERSION ${BROKER_VERSION}
                         MACOSX_RPATH true
                         OUTPUT_NAME broker)
   target_link_libraries(broker ${LINK_LIBS})
